public interface IdentityProvider
The interface to be implemented for providing visitor identification logic. This is the first component in Visitor Service which receives the request object and returns an 'Identity' object containing name of profile provider and some user id of the visitor in that profile storage. It may use the entities present in HttpRequest object, e.g. request header, cookie, or query parameter to do its job.
| Modifier and Type | Method and Description |
|---|---|
String |
getProviderName() |
Identity |
getVisitorIdentity(javax.servlet.http.HttpServletRequest request) |
void |
setProviderConfig(Properties config)
This is called by Visitor Service framework to populate configuration from optional field 'Configuration' in identity provider asset in Sites.
|
String getProviderName()
void setProviderConfig(Properties config)
config - - Value from field 'Configuration' in profile provider asset in Sites.Identity getVisitorIdentity(javax.servlet.http.HttpServletRequest request)
request - - HttpRequest objectCopyright © 2015, 2019, Oracle and/or its affiliates. All rights reserved.